Package it.ernytech.tdlib

## Class TdApi.InputCredentialsNew

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputCredentials
    - - it.ernytech.tdlib.TdApi.InputCredentialsNew

Enclosing class:
  TdApi

    public static class TdApi.InputCredentialsNew
    extends TdApi.InputCredentials

Applies if a user enters new credentials on a payment provider website.

### Field Summary

Fields
`boolean` `allowSave` True, if the credential identifier can be saved on the server side.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `data` Contains JSON-encoded data with a credential identifier from the payment provider.

### Constructor Summary

Constructors
`InputCredentialsNew()` Default constructor.
`InputCredentialsNew​(java.lang.String data, boolean allowSave)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### data

    public java.lang.String data

Contains JSON-encoded data with a credential identifier from the payment provider.

#### allowSave

    public boolean allowSave

True, if the credential identifier can be saved on the server side.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputCredentialsNew

    public InputCredentialsNew()

Default constructor.

#### InputCredentialsNew

    public InputCredentialsNew​(java.lang.String data,
                               boolean allowSave)

Constructor for initialization of all fields.

Parameters:
  `data` - Contains JSON-encoded data with a credential identifier from the payment provider.
  `allowSave` - True, if the credential identifier can be saved on the server side.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR